airavata-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Amila Jayasekara <thejaka.am...@gmail.com>
Subject Re: Unsupported major.minor version 51.0
Date Mon, 28 Jan 2013 18:09:10 GMT
Hi Supun,

What are the java version and javac versions in your machine ?
Seems like you tried to compile code using JDK 1.7 (51) and trying to
run it using a JVM below 1.7. (maybe 1.6 or 1.5)

You may find more information in [2].

[2] http://stackoverflow.com/questions/8605005/what-is-java-lang-unsupportedclassversionerror

Thanks
Amila

On Mon, Jan 28, 2013 at 12:51 PM, Supun Nakandala
<supun.nakandala@gmail.com> wrote:
> Hi devs,
> I am Supun Nakandala, Computer Science & Engineering Undergraduate from
> University of Moratuwa. I'am passionate in getting involved in Airavata
> project. I managed to checkout the source code and build it in my local
> environment successfully (0.5 version). But when I execute
> the airavata-server.sh script I get an error saying  "Unsupported
> major.minor version 51.0". After searching in the internet I found that
> this error is due to the mismatch between compiling environment and the run
> time environment. But I couldn't fix it my self. I have attached the
> link[1] to the complete log below . Thanks in advance for your help.
>
> [1] https://gist.github.com/4657549
>
> Thank you
> Supun Nakandala

Mime
View raw message